<?php
/**
 * The template part for displaying a message that posts cannot be found.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package kihon
 * @since 1.0.0
 */
?>

<section class="no-results not-found">
	<header class="page-header">
		<h2 class="page-title"><?php _e( 'Ничего не найдено.', 'kihon' ); ?></h2>
	</header><!-- .page-header -->

	<div class="page-content">
		<div class="content-container">
				<?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

					<p><?php printf( __( 'Готовы опубликовать свой первый пост? <a href="%1$s">Начните отсюда</a>.', 'kihon' ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>

				<?php elseif ( is_search() ) : ?>

					<p><?php _e( 'Извините, но по Вашему запросу ничего не было найдено. Попробуйте изменить ключевые слова.', 'kihon' ); ?></p>
					<?php get_search_form(); ?>

				<?php else : ?>

					<p><?php _e( 'Мы ничего не нашли. Попробуйте поиск по сайту.', 'kihon' ); ?></p>

					<?php get_search_form(); ?>

				<?php endif; ?>
			</div><!-- .content-container -->
	</div><!-- .page-content -->
</section><!-- .no-results -->
